#444 closed enhancement (fixed)

arm bsp_specs: -DUSE_ENHANCED_INTR_API

Reported by: Ralf Corsepius Owned by: Ralf Corsepius
Priority: lowest Milestone: 2
Component: bsps Version: 4.6
Severity: minor Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

Several arm BSPs' bsp_specs define -DUSE_ENHANCED_INTR_API.

The only place in RTEMS where this define is used seems to be
c/src/lib/libbsp/powerpc/shared/include/bsp.h, i.e. a powerpc specific file.

I read this as "-DUSE_ENHANCED_INTR_API" is powerpc-specific and should not be used in arm-BSPs.

Release:
RTEMS-4.6

Change History (4)

comment:1 Changed on Aug 6, 2003 at 10:02:49 AM by Joel Sherrill

Owner: changed from joel to ralf
Status: assignedwaiting

comment:2 Changed on Aug 6, 2003 at 11:15:02 AM by Ralf Corsepius

Status: waitingsuspended

comment:3 Changed on Aug 14, 2003 at 7:13:31 PM by Joel Sherrill

Status: suspendedwaiting

comment:4 Changed on Aug 22, 2003 at 5:03:43 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: I went ahead and did this by hand on the 4.6 branch to help

close things for the release.

Note: See TracTickets for help on using tickets.